import type { ReactNode } from "react";
import Footer from "./Footer";
import Header from "./Header";
import { useTheme } from "../hooks/useTheme";

interface LayoutProps {
    children: ReactNode;
}

export default function Layout({ children }: LayoutProps) {
    const theme = useTheme();

    return (
        <div className="flex flex-col min-h-screen bg-ctp-base">
            <Header theme={theme} />
            <main className="flex-1">{children}</main>
            <Footer />
        </div>
    );
}
